Name:		gsmartcontrol
Version:	1.1.3
Release:	%mkrel 4
Summary:	GSmartControl - Hard Disk Health Inspection Tool
License:	GPLv2, GPLv3
Group:		System/Kernel and hardware
Url:		http://gsmartcontrol.sourceforge.net
Source:		http://sourceforge.net/projects/%{name}/files/%{version}/%{name}-%{version}.tar.bz2

Requires:	gtkmm3.0
Requires:	polkit
Requires:	smartmontools

BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(libpcrecpp)

%description
GSmartControl is a graphical user interface for smartctl, which is a tool for
querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
Technology) data in hard disk drives. It allows you to inspect the drive's
SMART data to determine its health, as well as run various tests on it.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%doc %{_datadir}/doc/%{name}
%{_bindir}/*
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/polkit-1/actions/*.policy
%{_mandir}/man1/%{name}-root.1*
%{_mandir}/man1/gsmartcontrol.1*


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.1.3-4.mga8
+ Revision: 1539217
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 03 2019 daviddavid <daviddavid> 1.1.3-3.mga8
+ Revision: 1464103
- fix dependencies

* Sun Sep 23 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1298089
- Mageia 7 Mass Rebuild

* Sun Nov 19 2017 sander85 <sander85> 1.1.3-1.mga7
+ Revision: 1177789
- New version: 1.1.3

* Fri Jul 28 2017 sander85 <sander85> 1.0.2-1.mga7
+ Revision: 1132103
- New version: 1.0.2

* Mon Jul 17 2017 sander85 <sander85> 1.0.1-1.mga7
+ Revision: 1124143
- New version: 1.0.1

* Wed May 31 2017 eatdirt <eatdirt> 0.9.0-1.mga6
+ Revision: 1105644
- Upgrade to version 0.9.0

* Sat Jan 16 2016 sander85 <sander85> 0.8.7-10.mga6
+ Revision: 924688
- Add fix from upstream

* Sun Aug 30 2015 cjw <cjw> 0.8.7-9.mga6
+ Revision: 871385
- compile C++ code with -std=gnu++11 to fix build with latest libsigc++/gtkmm

* Sun Nov 23 2014 sander85 <sander85> 0.8.7-8.mga5
+ Revision: 798514
- Convert to use Policy Kit

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-7.mga5
+ Revision: 741196
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.7-6.mga5
+ Revision: 726413
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-5.mga5
+ Revision: 679963
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 0.8.7-4.mga4
+ Revision: 505263
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.7-3.mga3
+ Revision: 352693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 323775
- rebuild for new pcre

* Mon Aug 13 2012 sander85 <sander85> 0.8.7-1.mga3
+ Revision: 281049
- New version: 0.8.7

* Mon Jul 23 2012 sander85 <sander85> 0.8.6-2.mga3
+ Revision: 273686
- Add patches from Fedora to fix build with newer glib and gcc.

* Tue Jun 14 2011 sander85 <sander85> 0.8.6-1.mga2
+ Revision: 105950
- new version 0.8.6

* Wed May 04 2011 sander85 <sander85> 0.8.5-2.mga1
+ Revision: 94956
- clean spec
- imported package gsmartcontrol


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdv2011.0
+ Revision: 610986
- rebuild

* Wed Jan 20 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 493959
- New version: 0.8.5
- Drop an apparently unnneeded GCC 4.4 patch

* Sun Jul 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-2mdv2010.0
+ Revision: 400223
- Use consolehelper to launch gsmartcontrol as root when started from menu

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 375788
- Update to new version 0.8.4
- Remove unused source
- Fix source URL

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 319963
- drop BR
- New version 0.8.3

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.8.1-2mdv2009.1
+ Revision: 307457
- drop requries on libpcre, it was already generated by binary dependency

* Thu Nov 13 2008 Erwan Velu <erwan@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 302911
- Adding missing buildrequires
- Using new _root.sh script from the author
- import gsmartcontrol


* Mon Oct 06 2008 Alexander Shaduri <ashaduri 'at' gmail.com>
- Updated .spec file to support OpenSUSE < 10.3, Fedora and friends,
	Mandriva (for OpenSUSE Build Service).

* Mon Sep 15 2008 Alexander Shaduri <ashaduri 'at' gmail.com>
- Initial .spec file.

